summaryrefslogtreecommitdiff
path: root/helpers/lh_chroot_sysv-rc
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-09-23 10:05:14 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:22:26 +0100
commit0d5ff4ca7596790f853cf637e0fe225cad810a76 (patch)
tree360ca9a49f3d82d589a4b49c98e5210dfcb3b74e /helpers/lh_chroot_sysv-rc
parentcd5110f6b8eb77519d704972276cfd5be6bff055 (diff)
downloadlive-build-0d5ff4ca7596790f853cf637e0fe225cad810a76.zip
live-build-0d5ff4ca7596790f853cf637e0fe225cad810a76.tar.gz
Adding live-helper 1.0~a18-1.
Diffstat (limited to 'helpers/lh_chroot_sysv-rc')
-rwxr-xr-xhelpers/lh_chroot_sysv-rc98
1 files changed, 98 insertions, 0 deletions
diff --git a/helpers/lh_chroot_sysv-rc b/helpers/lh_chroot_sysv-rc
new file mode 100755
index 0000000..d77306a
--- /dev/null
+++ b/helpers/lh_chroot_sysv-rc
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# lh_chroot_sysv-rc(1) - manage /usr/sbin/policy-rc.d
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+ . "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="manage /usr/sbin/policy-rc.d"
+HELP=""
+USAGE="${PROGRAM} {install|remove} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+case "${1}" in
+ install)
+ Echo_message "Configuring file /usr/sbin/policy-rc.d"
+
+ # Checking stage file
+ Check_stagefile .stage/chroot_sysv-rc
+
+ # Checking lock file
+ Check_lockfile .lock
+
+ # Creating lock file
+ Create_lockfile .lock
+
+ if [ -f chroot/usr/sbin/policy-rc.d ]
+ then
+ # Save policy-rc.d file
+ mv chroot/usr/sbin/policy-rc.d chroot/usr/sbin/policy-rc.d.orig
+ fi
+
+ # Create policy-rc.d file
+cat > chroot/usr/sbin/policy-rc.d << EOF
+#!/bin/sh
+
+echo
+echo "Warning: invoke-rc.d policy in action. Skiping daemon starting"
+
+exit 101
+EOF
+
+ chmod 0755 chroot/usr/sbin/policy-rc.d
+
+ # Creating stage file
+ Create_stagefile .stage/chroot_sysv-rc
+ ;;
+
+ remove)
+ Echo_message "Deconfiguring file /usr/sbin/policy-rc.d"
+
+ # Checking lock file
+ Check_lockfile .lock
+
+ # Creating lock file
+ Create_lockfile .lock
+
+ if [ -f chroot/usr/sbin/policy-rc.d.orig ]
+ then
+ # Restore policy-rc.d file
+ mv chroot/usr/sbin/policy-rc.d.orig chroot/usr/sbin/policy-rc.d
+ else
+ # Remove policy-rc.d file
+ rm -f chroot/usr/sbin/policy-rc.d
+ fi
+
+ # Removing stage file
+ rm -f .stage/chroot_sysv-rc
+ ;;
+
+ *)
+ Usage
+ ;;
+esac